divert(-1)
#
#                             COPYRIGHT
# 
#   PCB, interactive printed circuit board design
#   Copyright (C) 1994,1995,1996 Thomas Nau
# 
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
# 
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
# 
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
# 
#   Contact addresses for paper mail and Email:
#   Thomas Nau, Schlehenweg 15, 88471 Baustetten, Germany
#   Thomas.Nau@rz.uni-ulm.de
# 
#   RCS: $Id: texas_inst_amplifier.m4,v 1.2 2003/08/05 09:38:19 danmc Exp $
#
define(`Description_TL070_dil', `Single low noise JFET input operational amplifier')
define(`Param1_TL070_dil', 8)
define(`Param2_TL070_dil', 300)
define(`PinList_TL070_dil',  ``N1Comp',`In-',`In+',`Vcc-',`OfsN2',`Out',`Vcc+',`Comp'')

define(`Description_TL071_dil', `Single low noise JFET input operational amplifier')
define(`Param1_TL071_dil', 8)
define(`Param2_TL071_dil', 300)
define(`PinList_TL071_dil',  ``OfsN1',`In-',`In+',`Vcc-',`OfsN2',`Out',`Vcc+',`NC'')

define(`Description_TL072_dil', `Dual low noise JFET input operational amplifiers')
define(`Param1_TL072_dil', 8)
define(`Param2_TL072_dil', 300)
define(`PinList_TL072_dil',  ``Out1',`In1-',`In1+',`Vcc-',`In2+',`In2-',`Out2',`Vcc+'')

define(`Description_TL074_dil', `Quad low noise JFET input operational amplifiers')
define(`Param1_TL074_dil', 14)
define(`Param2_TL074_dil', 300)
define(`PinList_TL074_dil',  ``Out1',`In1-',`In1+',`Vcc+',`In2+',`In2-',`Out2',`Out3',`In3-',`In3+',`Vcc-',`In4+',`In4-',`Out4'')

define(`Description_TL075_dil', `Quad JFET input operational amplifiers')
define(`Param1_TL075_dil', 14)
define(`Param2_TL075_dil', 300)
define(`PinList_TL075_dil',  ``In1-',`In1+',`Out1',`Out2',`In2+',`In2-',`Vcc-',`In3-',`In3+',`Out3',`Vcc+',`Out4',`In4+',`In4-'')

define(`Description_TL080_dil', `Single JFET input operational amplifier')
define(`Param1_TL080_dil', 8)
define(`Param2_TL080_dil', 300)
define(`PinList_TL080_dil',  ``N1Comp',`In-',`In+',`Vcc-',`OfsN2',`Out',`Vcc+',`Comp'')

define(`Description_TL081_dil', `Single JFET input operational amplifier')
define(`Param1_TL081_dil', 8)
define(`Param2_TL081_dil', 300)
define(`PinList_TL081_dil',  ``OfsN1',`In-',`In+',`Vcc-',`OfsN2',`Out',`Vcc+',`NC'')

define(`Description_TL082_dil', `Dual JFET input operational amplifiers')
define(`Param1_TL082_dil', 8)
define(`Param2_TL082_dil', 300)
define(`PinList_TL082_dil',  ``Out1',`In1-',`In1+',`Vcc-',`In2+',`In2-',`Out2',`Vcc+'')

define(`Description_TL083_dil', `Dual JFET input operational amplifiers')
define(`Param1_TL083_dil', 14)
define(`Param2_TL083_dil', 300)
define(`PinList_TL083_dil',  ``1 In-',`1 In+',`1 OfsN2',`Vcc-',`2 OfsN2',`2 In+', `2 In-', `2 OfsN1',`Vcc+',`2 Out',`NC',`1 Out',`Vcc+',`1 OfsN1'')

define(`Description_TL084_dil', `Quad JFET input operational amplifiers')
define(`Param1_TL084_dil', 14)
define(`Param2_TL084_dil', 300)
define(`PinList_TL084_dil',  ``Out1',`In1-',`In1+',`Vcc+',`In2+',`In2-',`Out2',`Out3',`In3-',`In3+',`Vcc-',`In4+',`In4-',`Out4'')

define(`Description_TL085_dil', `Quad JFET input operational amplifiers')
define(`Param1_TL085_dil', 14)
define(`Param2_TL085_dil', 300)
define(`PinList_TL085_dil',  ``In1-',`In1+',`Out1',`Out2',`In2+',`In2-',`Vcc-',`In3-',`In3+',`Out3',`Vcc+',`Out4',`In4+',`In4-'')

define(`Description_TLC271_dil', `Single programmable low power operational amplifier')
define(`Param1_TLC271_dil', 8)
define(`Param2_TLC271_dil', 300)
define(`PinList_TLC271_dil',  ``OfsN1',`In-',`In+',`Gnd',`OfsN2',`Out',`Vdd',`BiasSelect'')

define(`Description_TLC272_dil', `Dual precision operational amplifiers')
define(`Param1_TLC272_dil', 8)
define(`Param2_TLC272_dil', 300)
define(`PinList_TLC272_dil',  ``Out1',`In1-',`In1+',`Gnd',`In2+',`In2-',`Out2',`Vdd'')

define(`Description_TLC274_dil', `Quad precision operational amplifiers')
define(`Param1_TLC274_dil', 14)
define(`Param2_TLC274_dil', 300)
define(`PinList_TLC274_dil',  ``Out1',`In1-',`In1+',`Vdd',`In2+',`In2-',`Out2',`Out3',`In3-',`In3+',`Gnd',`In4+',`In4-',`Out4'')

define(`Description_LM324_dil', `Quad operational amplifiers')
define(`Param1_LM324_dil', 14)
define(`Param2_LM324_dil', 300)
define(`PinList_LM324_dil',  ``Out1',`In1-',`In1+',`Vcc',`In2+',`In2-',`Out2',`Out3',`In3-',`In3+',`Gnd',`In4+',`In4-',`Out4'')

define(`Description_uA709C_dil', `Single general purpose operational amplifier')
define(`Param1_uA709C_dil', 8)
define(`Param2_uA709C_dil', 300)
define(`PinList_uA709C_dil',  ``FreqCompB',`In-',`In+',`Vcc-',`OutFreqComp',`Out',`Vcc+',`FreqCompA'')

define(`Description_uA741C_dil', `Single general purpose operational amplifier')
define(`Param1_uA741C_dil', 8)
define(`Param2_uA741C_dil', 300)
define(`PinList_uA741C_dil',  ``OfsN1',`In-',`In+',`Vcc-',`OfsN2',`Out',`Vcc+',`NC'')

define(`Description_uA747C_dil', `Dual general purpose operational amplifiers')
define(`Param1_uA747C_dil', 14)
define(`Param2_uA747C_dil', 300)
define(`PinList_uA747C_dil',  ``1 In-',`1 In+',`1 OfsN2',`Vcc-',`2 OfsN2',`2 In+',`2 In-',`2 OfsN1',`2 Vcc+',`2 Out',`NC',`1 Out',`1 Vcc+',`1 OfsN1'')

define(`Description_uA748C_dil', `Single general purpose operational amplifier')
define(`Param1_uA748C_dil', 8)
define(`Param2_uA748C_dil', 300)
define(`PinList_uA748C_dil',  ``N1Comp',`In-',`In+',`Vcc-',`OfsN2',`Out',`Vcc+',`Comp'')

divert(0)dnl

